> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.coperniq.io/api-reference/accounts/list-accounts/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server. # List Accounts GET https://api.coperniq.io/v1/accounts Retrieve a paginated list of accounts. Supports: - Pagination (`page_size`, `page`) - Date filtering (`updated_after`, `updated_before`) - Sorting (`order_by`, default: desc) - Field search (`title`, `address`, `primaryName`, `primaryPhone`, `primaryEmail`) - Full text search (`q`) **Note:** The `/clients` path is an alias for `/accounts` and will continue to work until users are individually notified and migrated. Reference: https://docs.coperniq.io/api-reference/accounts/list-accounts ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Request ### Query parameters - `page_size` (integer, optional, default: 20) — Number of items per page (max 100) - `page` (integer, optional, default: 1) — Page number (1-based) - `updated_after` (AccountsGetParametersUpdatedAfter, optional) — Filter items updated after this timestamp (ISO 8601). Also matches records whose custom property values changed within the window. - `updated_before` (AccountsGetParametersUpdatedBefore, optional) — Filter items updated before this timestamp (ISO 8601). Also matches records whose custom property values changed within the window. - `order_by` (enum, optional, default: asc) — Sort order for results - Allowed values: `asc`, `desc` - `include_virtual_properties` (boolean, optional, default: false) — Whether to include virtual properties in the response. Defaults to false unless explicitly set to true. - `include_contacts` (boolean, optional, default: false) — Whether to include associated contacts in the response. Defaults to false unless explicitly set to true. - `include_archived` (boolean, optional, default: false) — Whether to include archived (inactive) records in the response. By default only active records are returned. - `q` (string, optional) — Full text search query - `title` (string, optional) — Title search query - `address` (string, optional) — Address search query - `primaryName` (string, optional) — Contact name search query - `primaryPhone` (string, optional) — Contact phone search query - `primaryEmail` (string, optional) — Contact email search query ## Response ### 200 List of accounts - `list of Account` ## Errors ### 401 Unauthorized Error Authentication failed - `message` (string, optional) - `code` (enum, optional) - Allowed values: `UNAUTHORIZED` ## Types ### AccountsGetParametersUpdatedAfter ### AccountsGetParametersUpdatedBefore ### Account - `id` (integer, optional) — Unique identifier - `createdAt` (string, optional) — Creation timestamp - `updatedAt` (string, optional) — Timestamp of the most recent update to the record, including changes to its custom property values. - `title` (string, optional) — Record title/name - `description` (string, optional, nullable) — Record description - `address` (list of string, optional) — Record location/address - `isActive` (boolean, optional) — Whether the record is active - `primaryEmail` (string, optional, nullable) — Primary contact email - `primaryPhone` (string, optional, nullable) — Primary contact phone - `number` (integer, optional) — Record number (e.g., 1234) - `createdBy` (UserSummary, optional, nullable) — User who created the record. Null when the record was created by a non-user actor (e.g. automation or a contact). - `updatedBy` (UserSummary, optional, nullable) — User who last edited a field on the record, derived from the changelog. Null when the record has never been edited or the last edit was made by a non-user actor. - `custom` (map from string to any, optional) — Custom fields - `accountType` (enum, optional, nullable) — Type of account (residential or commercial) - Allowed values: `RESIDENTIAL`, `COMMERCIAL` - `contacts` (list of ContactRef, optional) — On GET requests, only populated when include_contacts=true is passed. Always populated on POST (create) and PATCH (update) responses. Ordered with the primary contact first, capped at 20 contacts. ### UserSummary Minimal user representation used in responses - `id` (integer, optional) - `firstName` (string, optional, nullable) - `lastName` (string, optional, nullable) - `email` (string, optional, nullable) - `avatarUrl` (string, optional, nullable) ### ContactRef - `id` (integer, optional) - `name` (string, optional) - `title` (string, optional, nullable) — Contact title (e.g. job title) - `description` (string, optional, nullable) - `emails` (list of string, optional) - `phones` (list of string, optional) - `isPrimary` (boolean, optional) — True for the primary contact (the first contact in the list). At most one contact is primary. ## Examples **Response** ```json [ { "id": 1, "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z", "title": "string", "description": "string", "address": [ "string" ], "isActive": true, "primaryEmail": "string", "primaryPhone": "string", "number": 1, "createdBy": { "id": 1, "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "updatedBy": { "id": 1, "firstName": "string", "lastName": "string", "email": "string", "avatarUrl": "string" }, "custom": {}, "accountType": "RESIDENTIAL", "contacts": [ { "id": 1, "name": "string", "title": "string", "description": "string", "emails": [ "string" ], "phones": [ "string" ], "isPrimary": true } ] } ] ``` **SDK Code** ```python import requests url = "https://api.coperniq.io/v1/accounts" headers = {"x-api-key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.coperniq.io/v1/accounts'; const options = {method: 'GET', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.coperniq.io/v1/accounts" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.coperniq.io/v1/accounts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.coperniq.io/v1/accounts") .header("x-api-key", "") .asString(); ``` ```php request('GET', 'https://api.coperniq.io/v1/accounts', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.coperniq.io/v1/accounts"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/accounts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Official Coperniq API documentation. Build integrations for solar and construction project management — projects, opportunities, work orders, invoices, webhooks, and more.